device='7'
model='llava_v1.5_7B'
# categories=("privacy" "bias" "toxicity" "hallucination" "legality")
dimensions='all'
validate_dataset='MM-SafetyBench'
# categories=("legality")

num_heads_list=(16)
alpha_list=(3 5 7 9)

for num_head in "${num_heads_list[@]}"; do
  # 内层循环
    for alpha in "${alpha_list[@]}"; do
        echo $num_head $alpha
        subfix="_${num_head}_${alpha}_com"
        python eval/ASR/llamaguard_asr.py --model $model \
                        --dimensions $dimensions \
                        --device $device \
                        --validate_dataset $validate_dataset \
                        --subfix $subfix
    done
done